import request from '@/utils/request'

// 查询学生错题本列表
export function listWrongBook(query) {
  return request({
    url: '/learn/WrongBook/list',
    method: 'get',
    params: query
  })
}

// 查询学生错题本详细
export function getWrongBook(wrongId) {
  return request({
    url: '/learn/WrongBook/' + wrongId,
    method: 'get'
  })
}

// 新增学生错题本
export function addWrongBook(data) {
  return request({
    url: '/learn/WrongBook',
    method: 'post',
    data: data
  })
}

// 修改学生错题本
export function updateWrongBook(data) {
  return request({
    url: '/learn/WrongBook',
    method: 'put',
    data: data
  })
}

// 删除学生错题本
export function delWrongBook(wrongId) {
  return request({
    url: '/learn/WrongBook/' + wrongId,
    method: 'delete'
  })
}
